Class | Magick::RVG::Rect
In: | lib/rvg/embellishable.rb
Parent: | Shape

### Methods

new round

### Public Class methods

new(width, height, x=0, y=0)

Define a width x height rectangle. The upper-left corner is at [`x`, `y`]. If either `width` or `height` is 0, the rectangle is not rendered. Use the RVG::ShapeConstructors#rect method to create Rect objects in a container.

### Public Instance methods

round(rx, ry=nil)

Specify optional rounded corners for a rectangle. The arguments are the x- and y-axis radii. If y is omitted it defaults to x.

[Validate]